Name:          glassfish-el
Version:       2.2
Release:       %mkrel 2
Summary:       Implementation of the Expression Language (EL)
Group:         Development/Java
License:       CDDL 1.0, GPLv2
Url:           http://uel.java.net/
# svn export https://svn.java.net/svn/uel~svn/tags/2.2 glassfish-el-2.2
# tar czf glassfish-el-2.2-src-svn.tar.gz glassfish-el-2.2
Source0:       glassfish-el-2.2-src-svn.tar.gz
# remove findbugs plugin and org.jvnet.wagon-svn >wagon-svn
Patch0:        glassfish-el-2.2-cleanuppoms.patch
BuildRequires: ant
BuildRequires: java-devel
BuildRequires: javacc
BuildRequires: jpackage-utils
BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-bundle
BuildRequires: maven-source-plugin
Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
This project provides an implementation of the Expression Language (EL).
The main goals are
* Improves current implementation: bug fixes and performance improvements
* Provides API for use by other tools, such as Netbeans

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      %{name} = %{version}-%{release} 
Requires:      jpackage-utils

%description javadoc
Glassfish - Expression Language (EL).

This package contains javadoc for %{name}.

%prep
%setup -q -n glassfish-el-%{version}
mkdir javacc
ln -sf $(build-classpath javacc) javacc/
ant -f impl/build.xml -Djavacc.home=$PWD/javacc
%patch0 -p1

%build
mvn-rpmbuild install javadoc:aggregate
%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}

install -pm 644 api/target/el-api-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-api.jar
install -pm 644 impl/target/el-impl-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-impl.jar

install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom
install -pm 644 api/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}-api.pom
install -pm 644 impl/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}-impl.pom
%add_maven_depmap JPP-%{name}.pom
%add_maven_depmap JPP-%{name}-api.pom %{name}-api.jar
%add_maven_depmap JPP-%{name}-impl.pom %{name}-impl.jar

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 2.2-2.mga3
+ Revision: 351697
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Aug 06 2011 dmorgan <dmorgan> 2.2-1.mga2
+ Revision: 132012
- Clean spec file

  + gil <gil>
    - imported package glassfish-el

